/*
 * Filename: dgen.c
 * Date:     2022/02/08 21:43
 * Author:   Jan Faigl
 */

#include <stdio.h>
#include <stdlib.h>

#ifdef __linux__
#include <time.h>
#define SRANDEV(x) srand(time(NULL)) //or use sranddev(); if available for better initialization
#else
#define SRANDEV(x) sranddev()
#endif

#define MIN_LINES 10
#define MAX_LINES 40

#define MIN_LENGTH 200
#define MAX_LENGTH 300

int main(int argc, char *argv[])
{
   const char *dna = "acgt";
   SRANDEV();
   const int l = MIN_LINES + rand() % (MAX_LINES - MIN_LINES);
   for (int i = 0; i < l; ++i) {
      const int n = MIN_LENGTH + rand() % (MAX_LENGTH - MIN_LENGTH);
      for (int j = 0; j < n; ++j) {
	 putchar(dna[rand()%4]);
      }
      putchar('\n');
   }
   return EXIT_SUCCESS;
}

/* end of dgen.c */
